Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class IteratorPool

    java.lang.Object
      |
      +--org.apache.xpath.axes.IteratorPool

public class IteratorPool
extends java.lang.Object
implements java.io.Serializable

**For internal use only** Pool of object of a given type to pick from to help memory usage

See Also:
  Serialized Form

Constructor Summary
`IteratorPool(DTMIterator original)` Constructor IteratorPool

Method Summary
`void` | `freeInstance(DTMIterator obj)` Add an instance of the given object to the pool
`DTMIterator` | `getInstance()` Get an instance of the given object in this pool
`DTMIterator` | `getInstanceOrThrow()` Get an instance of the given object in this pool

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorPool

    public IteratorPool(DTMIterator original)

  Constructor IteratorPool
  Parameters:
    `original` - The original iterator from which all others will be cloned.

Method Detail

### getInstanceOrThrow

    public DTMIterator getInstanceOrThrow()
                                   throws java.lang.CloneNotSupportedException

  Get an instance of the given object in this pool
  Returns:
    An instance of the given object

### getInstance

    public DTMIterator getInstance()

  Get an instance of the given object in this pool
  Returns:
    An instance of the given object

### freeInstance

    public void freeInstance(DTMIterator obj)

  Add an instance of the given object to the pool
  Parameters:
    `obj` - Object to add.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.